import request from '@/utils/request'

// 查询失信记录名单列表
export function listDishonesty(query) {
  return request({
    url: '/basicData/xcrRecordDishonesty/findByPage',
    method: 'get',
    params: query
  })
}

// 查询失信记录名单详细
export function getDishonesty(xhCodeId) {
  return request({
    url: '/basicData/xcrRecordDishonesty/' + xhCodeId,
    method: 'get'
  })
}

// 新增失信记录名单
export function addDishonesty(data) {
  return request({
    url: '/basicData/xcrRecordDishonesty',
    method: 'post',
    data: data
  })
}

// 修改失信记录名单
export function updateDishonesty(data) {
  return request({
    url: '/basicData/xcrRecordDishonesty',
    method: 'put',
    data: data
  })
}

// 删除失信记录名单
export function delDishonesty(xhCodeId) {
  return request({
    url: '/basicData/xcrRecordDishonesty/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDishonestyBatch(ids) {
  return request.post('/basicData/xcrRecordDishonesty/delete',ids)
}
